Perform External Validation
Perform external validations for a form (for the UI)
Perform external validations for a form (for the UI)
Request
URI
POST
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/forms/renderer/external-validation
COPY
Query Parameters
string
projectId
Optional
The projectId of the project chosen for the request.
string
sourceId
Optional
sourceId
Request Body
ExternalValidationContext
of type(s)
application/json
Required
{
"externalValidations": [
{
"label": "string",
"source": {
"id": "string",
"type": "string",
"parameters": [
{
"$type": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"parameterMap": {
"parameterMap": {}
}
}
],
"isPageable": false,
"externalSourceProviderType": "string"
},
"target": [
"string"
]
}
],
"context": {
"context": {
"dataType": "string",
"value": "string"
}
}
}
array of
object
externalValidations
Optional
externalValidations
object
context
Optional
context
Responses
200
'Success' with list of validation messages
[
{
"fieldId": "string",
"severity": "string",
"validationType": "string",
"message": "string"
}
]
array of
object
400
'Bad Request' if the external validation context body is not in specified format
Operation doesn't return any data structure
403
'Forbidden' no forms viewer access rights
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/form-service/api/forms/renderer/external-validation